GuidesAPI Reference
Guides

Get HERE map content for map display

Use HERE Map Attributes API v8 to get HERE map content for routes calculated using HERE Routing API v8. The following examples show how to get:

  • Road slope data
  • Maximum vehicle height data
  • Traffic signs
📘

Note

These examples show layers and their attributes. To get the full list of available layers and their attributes, go to this URL:

https://smap.hereapi.com/v8/maps/layers/list.html?&apiKey={YOUR_API_KEY}

Road slope

The ADAS_ATTRIB_FCn layers contain ADAS data, including road slope values. Call HERE Map Attributes API v8 to get these layers for tiles which the calculated route crosses and filter for segments in the route to find the slope at each shape point along the route.

To see a web demo of this use case, follow this link.

Sample request

curl -gX GET 'https://smap.hereapi.com/v8/maps/attributes?'\
'layers=ADAS_ATTRIB_FC4,ADAS_ATTRIB_FC2,ADAS_ATTRIB_FC4,ADAS_ATTRIB_FC4,ADAS_ATTRIB_FC4,ADAS_ATTRIB_FC4'\
'&in=tile:24267002,1516094,24275195,24275196,24283388,24283387'\
'&apiKey={YOUR_API_KEY}'

Response

Click to view the sample response.

Note that the response example is truncated.

{
"Tiles":[
  {
    "Meta":{
      "layerName":"ADAS_ATTRIB_FC4",
      "tileId":24267002,
      "level":12,
      "mapRegion":"NA",
      "mapRelease":"22132"
    },
    "Rows":[
      {
        "LINK_ID":"23439120",
        "HPX":"-789744500,1656,1741,7203,8062,5238,2553,9947",
        "HPY":"402055300,1390,1462,6048,6668,4332,1899,7401",
        "HPZ":"51393,73,100,444,502,246,63,203",
        "SLOPES":"1574,786,418,33,-33,-1350,-384,-177",
        "HEADINGS":"41422,870,619,-236,1714,944",
        "CURVATURES":"-802,223,920,-601,-391,212",
        "VERTICAL_FLAGS":"1,1,0,1,0,1",
        "REFNODE_LINKCURVHEADS":"1:6813:58198,3:-1015:40329",
        "NREFNODE_LINKCURVHEADS":"1101743704:280:45365",
        "BUA_ROAD":"0",
        "BUA_ROAD_VERIFIED":null,
        "LINK_ACCURACY":"3",
        "TOPOLOGY_ID":"398861176",
        "START_OFFSET":"0",
        "END_OFFSET":"1"
      },

      ...

Height

The BASIC_HEIGHT_FCn layers contain tiled height data. Call HERE Map Attributes API v8 to get these layers for tiles which the calculated route crosses, and filter for segments in the route to find the corresponding height values along the route.

To see a web demo of this use case, follow this link.

Sample request

curl -gX GET 'https://smap.hereapi.com/v8/maps/attributes?'\
'layers=BASIC_HEIGHT_FC4,BASIC_HEIGHT_FC2,BASIC_HEIGHT_FC4,BASIC_HEIGHT_FC4,BASIC_HEIGHT_FC4,BASIC_HEIGHT_FC4'\
'&in=tile:24267002,1516094,24275195,24275196,24283388,24283387'\
'&apiKey={YOUR_API_KEY}'

Sample response

Click to view the sample response.

Note that the response example is truncated.

{
"Tiles":[
  {
    "Meta":{
      "layerName":"BASIC_HEIGHT_FC4",
      "tileId":24267002,
      "level":12,
      "mapRegion":"NA",
      "mapRelease":"22132"
    },
    "Rows":[
      {
        "LINK_ID":"23439120",
        "DTM_MIN_HEIGHT":"51393",
        "DTM_MAX_HEIGHT":"53024",
        "DTM_AVG_HEIGHT":"52194",
        "DTM_REF_ZCOORD":"51393",
        "DTM_NONREF_ZCOORD":"53024",
        "TOPOLOGY_ID":"398861176",
        "START_OFFSET":"0",
        "END_OFFSET":"1"
      },

      ...

Traffic signs

The TRAFFIC_SIGN_FCn layers contain tiled traffic signs data. Call HERE Map Attributes API v8 to get these layers for tiles which the calculated route crosses, and filter for segments in the route to find the traffic signs that appear along the route.

To see a web demo of this use case, follow this link.

Sample request

curl -gX GET 'https://smap.hereapi.com/v8/maps/attributes?'\
'layers=TRAFFIC_SIGN_FC4,TRAFFIC_SIGN_FC2,TRAFFIC_SIGN_FC2,TRAFFIC_SIGN_FC2,TRAFFIC_SIGN_FC4'\
'&in=tile:25833791,1614927,1614928,1614929,25825605'\
'&apiKey={YOUR_API_KEY}'

Sample response

Click to view the sample response.

Note that the response example is truncated.

{
  "Tiles":[
    {
      "Meta":{
        "layerName":"TRAFFIC_SIGN_FC4",
        "tileId":25833791,
        "level":12,
        "mapRegion":"WEU",
        "mapRelease":"22136"
      },
      "Rows":[
        {
          "CONDITION_ID":"724552153",
          "CONDITION_TYPE":"17",
          "LINK_IDS":"-567673157",
          "VEHICLE_TYPES":"1023",
          "TRAFFIC_SIGN_TYPE":"42",
          "TRAFFIC_SIGN_VALUE":null,
          "GEN_WARNING_SIGN_TYPE":null,
          "TRAFFIC_SIGN_CATEGORY":"1",
          "TRAFFIC_SIGN_SUBCATEGORY":"1",
          "SIGN_DURATION":null,
          "SIGN_PREWARNING":null,
          "SIGN_VALIDITY_TIME":null,
          "SIGN_VEHICLES":"0",
          "SIGNAL_SIGN_LOCATION":null,
          "RAILWAY_CROSSING_TYPE":null,
          "WEATHER_TYPE":null,
          "IMPORTANCE_IND":null,
          "SIGN_TEXT":null,
          "DATE_TIMES":null,
          "TOPOLOGY_IDS":"78180131",
          "START_OFFSETS":"0",
          "END_OFFSETS":"1"
        }
      ]
    },
  ...

Road link attributes

The LINK_ATTRIBUTE_FCn layer contains road link attributes. Call HERE Map Attributes API v8 to get these layers for tiles which the calculated route crosses, and filter the content for only the segments along the route to be displayed.

Sample request

curl -gX GET 'https://smap.hereapi.com/v8/maps/attributes?'\
'layers=LINK_ATTRIBUTE_FC1,LINK_ATTRIBUTE_FC2,LINK_ATTRIBUTE_FC3,LINK_ATTRIBUTE_FC4,LINK_ATTRIBUTE_FC5'\
'&in=tile:401926,1608716,6432793,25727025,102916195'\
'&apiKey={YOUR_API_KEY}'

Sample response

Click to view the sample response.

Note that the response example is truncated.

{
  "Tiles":[
    {
      "Meta":{
        "layerName":"LINK_ATTRIBUTE_FC1",
        "tileId":401926,
        "level":9,
        "mapRegion":"WEU",
        "mapRelease":"22136"
      },
      "Rows":[
        {
          "LINK_ID":"709291533",
          "ISO_COUNTRY_CODE":"FRA",
          "VEHICLE_TYPES":"1007",
          "URBAN":"N",
          "TRANSPORT_VERIFIED":"Y",
          "FUNCTIONAL_CLASS":"1",
          "CONTROLLED_ACCESS":"Y",
          "LIMITED_ACCESS_ROAD":"Y",
          "TRAVEL_DIRECTION":"T",
          "BOAT_FERRY":"N",
          "RAIL_FERRY":"N",
          "MULTI_DIGITIZED":"Y",
          "DIVIDER":"N",
          "DIVIDER_LEGAL":"N",
          "FRONTAGE":"N",
          "PAVED":"Y",
          "RAMP":"N",
          "PRIVATE":"N",
          "POI_ACCESS":"N",
          "INTERSECTION_CATEGORY":null,
          "SPEED_CATEGORY":"2",
          "LANE_CATEGORY":"2",
          "COVERAGE_INDICATOR":"N0",
          "TO_REF_NUM_LANES":"2",
          "FROM_REF_NUM_LANES":null,
          "PHYSICAL_NUM_LANES":null,
          "LOW_MOBILITY":"3",
          "PUBLIC_ACCESS":"Y",
          "GRADE_CATEGORY":null,
          "ROUTE_TYPES":"3",
          "OVERPASS_UNDERPASS":null,
          "TOPOLOGY_ID":"843266494",
          "START_OFFSET":"062892",
          "END_OFFSET":"085238"
        },
    ...

Examples

Link to exampleResource
Various link attributes/v8/maps/attributes
Street name and geometry/v8/maps/attributes